digiKam Developer Documentation: Digikam::EditorTool Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::EditorTool Class Reference
Inheritance diagram for Digikam::EditorTool:

## Public Slots
virtual void | slotApplyTool ()
virtual void | slotCloseTool ()
void | slotPreviewModeChanged ()
void | slotUpdateSpotInfo (const Digikam::DColor &col, const QPoint &point)

## Signals
void | cancelClicked ()
void | okClicked ()

## Public Member Functions
| EditorTool (QObject *const parent)
virtual void | exposureSettingsChanged ()
virtual void | ICCSettingsChanged ()
void | init ()
| Called by editor tool interface to initialized tool when all is ready, through slotInit().
DPlugin * | plugin () const
virtual void | setBackgroundColor (const QColor &bg)
void | setInitPreview (bool b)
| Set this option to on if you want to call slotPreview() in slotInit() at tool startup.
void | setPlugin (DPlugin *const plugin)
FilterAction::Category | toolCategory () const
QString | toolHelp () const
QIcon | toolIcon () const
QString | toolName () const
EditorToolSettings * | toolSettings () const
int | toolVersion () const
QWidget * | toolView () const

## Protected Slots
virtual void | slotCancel ()
virtual void | slotInit ()
virtual void | slotLoadSettings ()
virtual void | slotOk ()
virtual void | slotResetSettings ()
void | slotTimer ()

## Protected Member Functions
virtual void | finalRendering ()
virtual void | readSettings ()
virtual void | setBusy (bool)
void | setPreviewModeMask (int mask)
void | setToolCategory (const FilterAction::Category category)
void | setToolHelp (const QString &anchor)
void | setToolIcon (const QIcon &icon)
void | setToolInfoMessage (const QString &txt)
void | setToolName (const QString &name)
virtual void | setToolSettings (EditorToolSettings *const settings)
void | setToolVersion (const int version)
virtual void | setToolView (QWidget *const view)
virtual void | slotChannelChanged ()
virtual void | slotPreview ()
virtual void | slotSaveAsSettings ()
virtual void | slotScaleChanged ()
virtual void | writeSettings ()